# CPU type
set cpu_type TMS320C6720

# Flash support
set flash_types { 0 1 }

# target-side code of flash loader
set FlashLoadSuppCode $mypath/trgcode/flash672.out

# target is little endian
set TargetBigEndian 0

# PC register name
set pc_name PC

# base address of SPI0 in CPU's address space
set spi0_base 0x47000000

# base address of SPI1 in CPU's address space
set spi1_base 0x48000000

# base address of I2C0 in CPU's address space
set i2c0_base 0x49000000

# base address of I2C1 in CPU's address space
set i2c1_base 0x4A000000

# Word width (0 - 8 bit, 1 - 16, 2 - 32)
set word_width 0

# base address of EMIF control registers in CPU's address space
set emif_base 0xF0000000
