#
# Setup specific parameters for SPI 25xxx (95xxx) EEPROM's
# after target-side code loaded and started, 
# after ready-state breakpoint occured
#

getsym $coff _pagelen
getsym $coff _sectorlen
getsym $coff _c_addr_bytes
getsym $coff _flash_subtype

PutLong $DEV $_pagelen_addr $_pagelen_pg $pagesize
PutLong $DEV $_sectorlen_addr $_sectorlen_pg $sectorsize
PutLong $DEV $_c_addr_bytes_addr $_c_addr_bytes_pg $addrbytes

if { [info exists flash_subtype] } {
  PutLong $DEV $_flash_subtype_addr $_flash_subtype_pg $flash_subtype
} else {
  PutLong $DEV $_flash_subtype_addr $_flash_subtype_pg 0
}